---
deprecated: true
search:
  tags:
    - Videos
    - PATCH
seo:
  description: >-
    Updates video title, description, status,… Reference for the PATCH
    /api/v1/{team_slug}/{app_slug}/videos/{video_id} endpoint in the Management
    API.
sidebar:
  label: Update video
  badge: PATCH
title: Update video
type: openapi-operation
---
Updates video title, description, status, translations, and visibility. The status can only be changed to active or inactive, and only when the current status is active or inactive, not while the video is still uploading (pending).
Deprecated: use PATCH /api/v2/&#123;team_slug&#125;/&#123;app_slug&#125;/dam/videos instead.

`PATCH /api/v1/{team_slug}/{app_slug}/videos/{video_id}`

**Deprecated.**

**Request body** (`application/json`, required)

Video data

- `description` (string)
- `public` (boolean)
- `status` (string)
- `title` (string)
- `translations` (internal_pkg_webserver_v1.UpdateVideoTranslations)

Request body example:

```json
{
  "description": "string",
  "public": true,
  "status": "active",
  "title": "string",
  "translations": {
    "description": [
      {
        "locale": "string",
        "value": "string"
      }
    ],
    "title": [
      {
        "locale": "string",
        "value": "string"
      }
    ]
  }
}
```

**Responses**

- `200` — Video updated successfully
- `400` — Invalid request
- `401` — Unauthorized access
- `404` — Video not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "attributes": [
      {
        "created_at": "string",
        "description": "string",
        "filterable": true,
        "id": "string",
        "key": "string",
        "name": "string",
        "template_key": "string",
        "template_name": "string",
        "translatable": true,
        "translations": {
          "description": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "name": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "updated_at": "string",
        "values": {
          "property1": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          },
          "property2": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          }
        }
      }
    ],
    "description": "string",
    "folder_id": "string",
    "id": "string",
    "path": "string",
    "public": true,
    "status": "string",
    "title": "string",
    "translations": {
      "description": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "title": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ]
    },
    "variants": [
      {
        "format": "string",
        "height": 0,
        "url": "string",
        "width": 0
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}
```
